Subject: Re: [PATCH] gitweb: simplify gitweb.min.* generation and clean-up rules

From: Jakub Narebski <[email-masked]>
Date: Thu, 15 Apr 2010 08:11:53 +0200

Mark Rada wrote:

> GITWEB_CSS and GITWEB_JS are meant to be "what URI should the installed
> cgi script use to refer to the stylesheet and JavaScript", never "this
> is the name of the file we are building".
> 
> Lose incorrect assignment to them.
> 
> While we are at it, lose FILES that is used only for "clean" target in a
> misguided way.  "make clean" should try to remove all the potential
> build artifacts regardless of a minor configuration change.  Instead of
> trying to remove only the build product "make clean" would have created
> if it were run without "clean", explicitly list the three potential build
> products for removal.
> 
> In addition, this patch tries to make sure that the scripts are
> regenerated whenever the replacement variables are modified.  For a good
> measure, if you used different JSMIN/CSSMIN since the last time you
> produced minified version of these files, they are regenerated.
> 
> Signed-off-by: Junio C Hamano <[email-masked]>
> Tested-by: Mark Rada <[email-masked]>
> 
> 
> ---
> 
> I gave this a test run:
> 	With just jsmin enabled
> 	With just cssmin enabled
> 	With neither enabled
> 	With both enabled
> 	Overriding GITWEB_JS
> 	Overriding GITWEB_JS and jsmin enabled

Thank you very much.
 
> Instaweb will still generate what it needs to the first time around,
> but if you change GITWEB_JS or the JSMIN (or css equivalents) then you
> have to regenerate gitweb first manually before instaweb. I'm not sure
> if it would be best to swallow up instaweb into this same patch or to
> fix it separately (also, I still don't quite understand how this patch
> works).

Instaweb would need to check if gitweb was run with its GITWEB_JS and
with curent JSMIN... and this should be I think a separate patch.

>  config.mak.in   |    2 +
>  gitweb/Makefile |   75 ++++++++++++++++++++++++++++---------------------------
>  2 files changed, 40 insertions(+), 37 deletions(-)
> 
> diff --git a/config.mak.in b/config.mak.in
> index 6008ac9..bb828fe 100644
> --- a/config.mak.in
> +++ b/config.mak.in
> @@ -57,3 +57,5 @@ FREAD_READS_DIRECTORIES=@FREAD_READS_DIRECTORIES@
>  SNPRINTF_RETURNS_BOGUS=@SNPRINTF_RETURNS_BOGUS@
>  NO_PTHREADS=@NO_PTHREADS@
>  PTHREAD_LIBS=@PTHREAD_LIBS@
> +GITWEB_JS=/home/ferrous/gitweb.js
> +

I think that you have committed this by accident...

-- 
Jakub Narebski
Poland